import { CdmAttribute, CdmCorpusContext, CdmObjectReferenceBase, cdmObjectType, resolveOptions, VisitCallback } from '../internal';
export declare class CdmAttributeReference extends CdmObjectReferenceBase {
    static get objectType(): cdmObjectType;
    constructor(ctx: CdmCorpusContext, attribute: string | CdmAttribute, simpleReference: boolean);
    getObjectType(): cdmObjectType;
    /**
     * @internal
     */
    copyRefObject(resOpt: resolveOptions, refTo: string | CdmAttribute, simpleReference: boolean, host?: CdmObjectReferenceBase): CdmObjectReferenceBase;
    /**
     * @internal
     */
    visitRef(pathFrom: string, preChildren: VisitCallback, postChildren: VisitCallback): boolean;
}
